Subject: Re: gdbm & cvs packages ready for official inclusion?
From: Jason Tishler <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Aug 2000 14:04:40 -0400

On Thu, Aug 10, 2000 at 12:13:42PM -0400, Charles S. Wilson wrote:
> Instead, can you verify that Alan Griffiths' analysis is
> correct?
> 
> Alan Griffiths wrote:
> > I don't follow the code well enough to be sure what is going on, but this
> > is caused by the call to 'isdir' at line 437 of ignore.c (in 1.10.7 anyway).
> > 
> > Resetting errno after the call suppresses the message.  (I don't propose
> > this as a fix since there probably is a problem in the code and this would
> > hide it.)

I can't confirm that the problem is caused by isdir() as described by Alan,
but he is definitely correct that the problem is in:

    src/ignore.c:ignore_files()

I can offer the following few more tidbits.  We have from the original cvs
1.10.8 source:

    void
    ignore_files (ilist, entries, update_dir, proc)
    {
        ...
        errno = 0;
        while ((dp = readdir (dirp)) != NULL)
        {
            ...
        }
        if (errno != 0)
            error (0, errno, "error reading current directory");
        ...
    }

So during a cvs update, some code executed during the while loop is setting
errno to nonzero.  By greping sys/errno.h, we get that "Function not
implemented" maps to ENOSYS.

Without using gdb, I can't offer any more.  Shame on me, but I have never
used gdb before -- although I have used many other debugger.  Anyway, I'm
willing to give gdb a whirl, but I believe that you could set up cvs in
client/server mode much faster than I can get up to speed with gdb.
Especially, if you have a UNIX/Linux box lying around with a cvs
repository on it.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]